Subject: Re: [PATCH v2 2/3] Documentation: stylistically normalize references to Signed-off-by:

From: Taylor Blau <[email-masked]>
Date: Mon, 19 Oct 2020 22:31:38 -0400

On Mon, Oct 19, 2020 at 03:17:02PM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > I think that the 3-patch series that Junio was talking about in [1] is
> > actually this one [2].
> > ...
> > [1]: https://lore.kernel.org/git/[email-masked]/
> > [2]: https://lore.kernel.org/git/[email-masked]/
>
> True.
>
> I actually think it is a bad idea to add ":" after every mention of
> "Signed-off-by"; it only looks clarifying because we use a boring
> and generic word "line" to refer to where that three-word token
> appears.
>
> We can say "a 'Signed-off-by' trailer" and it becomes plenty clear
> that we are not talking about any random line in the log message,
> and we do not need ":" everywhere, I suspect.

Mm. I may be in the minority that I think having ":" after
"Signed-off-by" is helpful, but I'm happy to go whichever way others
find most clear.

> Thanks.

Thanks,
Taylor